## ros-dashing-health-metric-collector 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(health_metric_collector)


# Default to C++14
if (NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif ()

if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif ()


find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(aws_common REQUIRED)
find_package(aws_ros2_common REQUIRED)
find_package(ros_monitoring_msgs REQUIRED)

add_definitions(-DUSE_IMPORT_EXPORT)

set(HEALTH_METRIC_COLLECTOR_LIBRARY_TARGET ${PROJECT_NAME}_lib)

###########
## Build ##
###########

include_directories(
        include
        ${rclcpp_INCLUDE_DIRS}
        ${aws_ros2_common_INCLUDE_DIRS}
        ${AWSSDK_INCLUDE_DIRS}
        ${aws_common_INCLUDE_DIRS}
        ${ros_monitoring_msgs_INCLUDE_DIRS}
)

add_library(${HEALTH_METRIC_COLLECTOR_LIBRARY_TARGET}
        src/cpu_data.cpp
        src/cpu_metric_collector.cpp
        src/cpu_stats.cpp
        src/metric_manager.cpp
        src/sys_info_collector.cpp
        )

ament_target_dependencies(${HEALTH_METRIC_COLLECTOR_LIBRARY_TARGET}
        rclcpp
        aws_common
        aws_ros2_common
        ros_monitoring_msgs
        rosidl_typesupport_cpp
        )

add_executable(${PROJECT_NAME} src/collector.cpp)

set(LIB_DEPS
        ${rclcpp_LIBRARIES}
        ${aws_common_LIBRARIES}
        ${aws_ros2_common_LIBRARIES}
        ${ros_monitoring_msgs_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME} ${LIB_DEPS})

ament_target_dependencies(${PROJECT_NAME} ${HEALTH_METRIC_COLLECTOR_LIBRARY_TARGET})

target_link_libraries(${PROJECT_NAME} ${HEALTH_METRIC_COLLECTOR_LIBRARY_TARGET})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} ${HEALTH_METRIC_COLLECTOR_LIBRARY_TARGET}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        # According to https://answers.ros.org/question/280127/ros2-ros2-run-package-executable-cannot-find-executable/
        # executables are now being installed to the library directory under project name
        RUNTIME DESTINATION lib/${PROJECT_NAME}
        )

## Mark cpp header files for installation
install(
        DIRECTORY include/
        DESTINATION include
        FILES_MATCHING PATTERN "*.h"
)

### Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY launch/ DESTINATION share/${PROJECT_NAME}/launch)
install(DIRECTORY config/ DESTINATION share/${PROJECT_NAME}/config)

#############
## Tests ##
#############

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  
  ament_add_gmock(test_health_metric_collector
    test/health_metric_collector_test.cpp)
  target_include_directories(test_health_metric_collector
    PRIVATE include)
  target_link_libraries(test_health_metric_collector
          ${HEALTH_METRIC_COLLECTOR_LIBRARY_TARGET}
          ${LIB_DEPS})
endif()

ament_package()

=== debian/changelog ===
ros-dashing-health-metric-collector (3.0.1-1bionic) bionic; urgency=high

  * Bump version to 3.0.1
  * Replacing sample_application.launch with an equivalent launch script
  * Guard test targets with if(BUILD_TESTING)
  * remove changelog for new release
  * Add launch dependencies
  * Update version to 3.0.0 for first ROS2 release (#5 <https://github.com/aws-robotics/health-metrics-collector-ros2/issues/5>)
    * Update version to 2.0.1 for consistency with health-metrics-collector-ros1
    * Bumping version to 3.0.0 and upgrading package.xml format to 3
    * Update changelog
  * Allow undeclared params and add default ones to the yaml config file.
  * Add unit tests (equivalent to the ROS1 version)
  * Remove cmake-build-debug folder
  * Rename package, make launch file ROS1 compatible
    - Rename package to health_metric_collector, removing the _node suffix
    to keep this package consistent with all our others (where github repo,
    folder name and package name are all the same).
    - Improve launch file to be the same as ROS1 where users can override
    node_name or config_file.
  * Merge pull request #2 <https://github.com/aws-robotics/health-metrics-collector-ros2/issues/2> from aws-robotics/namespace-fixup
    Fixes the namespacing that was mistakenly added for several files during the conversion.
  * Fixes the namespacing that was mistakenly added for several files during the conversion.
  * Adding basic implementation
  * Contributors: AAlon, Avishay Alon, M M, Nick Burek, Tim Robinson, burekn

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 20 Sep 2019 00:00:00 -0000

=== debian/control ===
Source: ros-dashing-health-metric-collector
Section: misc
Priority: extra
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-rclcpp, ros-dashing-ros-monitoring-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-health-metric-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-aws-common, ros-dashing-launch, ros-dashing-launch-ros, ros-dashing-rclcpp, ros-dashing-ros-monitoring-msgs, ros-dashing-ros-workspace
Description: Package providing a ROS node for sending health metrics to Cloudwatch Metrics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-health-metric-collector//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
